<?PHP
#
#   FILE:  UpdateFolderDescription.php
#
#   Part of the Collection Workflow Integration System (CWIS)
#   Copyright 2012 Internet Scout Project
#   http://scout.wisc.edu/
#

# ----- MAIN -----------------------------------------------------------------

# check authorization and setup HTML suppression and page redirection
if (!Folders_Common::ApiPageCompletion("P_Folders_ManageFolders"))
{
    return;
}

# canceled editing
if (GetArrayValue($_GET, "Cancel"))
{
    return;
}

$FolderId = GetArrayValue($_GET, "FolderId");
$FolderDescription = GetArrayValue($_GET, "FolderDescription");

# can't do anything if there isn't a folder ID to work with
if (!strlen($FolderId))
{
    return;
}


$FolderFactory = new Folders_FolderFactory($GLOBALS["G_User"]->Id());
$ResourceFolder = $FolderFactory->GetResourceFolder();
$Folder = new Folders_Folder($FolderId);

# withdraw only if the resource folder contains this folder, which implies
# that the user owns the folder and it's a valid folder of resources
if ($ResourceFolder->ContainsItem($Folder->Id()))
{
    $Folder->Note($FolderDescription);
}
